List managed node pools
import requests
url = "https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools \
--cookie ankra_session={
"node_pools": [
{
"autohealing": true,
"autoscaling": {
"max_count": 2,
"min_count": 2,
"enabled": true
},
"count": 1,
"labels": {},
"name": "<string>",
"provider_id": "<string>",
"public_ip": true,
"root_volume_size_gb": 2,
"root_volume_type": "<string>",
"security_group_id": "<string>",
"size": "<string>",
"status": "<string>",
"taints": [
{
"effect": "NoSchedule",
"key": "<string>",
"value": ""
}
],
"upgrade_policy": "<string>",
"zone": "<string>",
"spot": {
"enabled": true,
"max_price": 1
}
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Managed Clusters
List managed node pools
Browser session authentication; RBAC permission clusters.read. For Kapsule, provider_cluster_id is the opaque region-qualified regions/{region}/clusters/{id} reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.
GET
/
org
/
clusters
/
managed
/
{provider}
/
{cluster_id}
/
node-pools
List managed node pools
import requests
url = "https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools \
--cookie ankra_session={
"node_pools": [
{
"autohealing": true,
"autoscaling": {
"max_count": 2,
"min_count": 2,
"enabled": true
},
"count": 1,
"labels": {},
"name": "<string>",
"provider_id": "<string>",
"public_ip": true,
"root_volume_size_gb": 2,
"root_volume_type": "<string>",
"security_group_id": "<string>",
"size": "<string>",
"status": "<string>",
"taints": [
{
"effect": "NoSchedule",
"key": "<string>",
"value": ""
}
],
"upgrade_policy": "<string>",
"zone": "<string>",
"spot": {
"enabled": true,
"max_price": 1
}
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Path Parameters
Available options:
doks, uks, gke, ovh_mks, aks, eks, kapsule Example:
"kapsule"
Response
Successful response
Show child attributes
Show child attributes